java.util

## Class EventListenerProxy

- java.lang.Object
- - java.util.EventListenerProxy

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  AWTEventListenerProxy, PropertyChangeListenerProxy, VetoableChangeListenerProxy

    public abstract class EventListenerProxy
    extends Object
    implements EventListener

An abstract wrapper class for an EventListener class which associates a set of additional parameters with the listener. Subclasses must provide the storage and accessor methods for the additional arguments or parameters. Subclasses of EventListenerProxy may be returned by getListeners() methods as a way of associating named properties with their listeners. For example, a Bean which supports named properties would have a two argument method signature for adding a PropertyChangeListener for a property: public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener); If the Bean also implemented the zero argument get listener method: public PropertyChangeListener[] getPropertyChangeListeners(); then the array may contain inner PropertyChangeListeners which are also PropertyChangeListenerProxy objects. If the calling method is interested in retrieving the named property then it would have to test the element to see if it is a proxy class.

Since:
  1.4

### Constructor Summary

Constructors
Constructor and Description
`EventListenerProxy(EventListener listener)`

### Method Summary

Methods
`EventListener` `getListener()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventListenerProxy

    public EventListenerProxy(EventListener listener)

Parameters:
  `listener` - The listener object.

### Method Detail

#### getListener

    public EventListener getListener()

Returns:
  The listener associated with this proxy.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.